uses linux;

var
  dp:pdir;
begin
  dp := opendir ('/tmp/dir1');
  if dp = nil then
  begin
    writeln('Ошибка открытия каталога /tmp/dir1');
    halt(1);
  end;
  (*
     Код, работающий с каталогом
     .
     . 
     .
  *)
  closedir (dp);
end.
